<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.segments.internal.events.SegmentsServicePreAction" activate="activate" deactivate="deactivate" configuration-pid="com.liferay.segments.configuration.SegmentsConfiguration">
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_requestContextMapper" interface="com.liferay.segments.context.RequestContextMapper" field="_requestContextMapper"/>
  <reference name="_segmentsEntryRetriever" policy="dynamic" interface="com.liferay.segments.SegmentsEntryRetriever" field="_segmentsEntryRetriever"/>
  <reference name="_segmentsExperienceLocalService" interface="com.liferay.segments.service.SegmentsExperienceLocalService" field="_segmentsExperienceLocalService"/>
  <reference name="_segmentsExperienceRequestProcessorRegistry" interface="com.liferay.segments.processor.SegmentsExperienceRequestProcessorRegistry" field="_segmentsExperienceRequestProcessorRegistry"/>
  <implementation class="com.liferay.segments.internal.events.SegmentsServicePreAction"/>
</scr:component>
